Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Incorrect update for OS version

  • W-T-F moron programmed Opera to update 'itself' beyond a version that would run on the current OS version installed???!!

    I am running OSX 10.9.5, and whatever version of Opera still runs on that (v50, v51, ??) and now it has updated itself to v52 which will not run - AND WILL NOT ALLOW ME TO GET MY FRIGGIN PASSWORDS!!

  • Please watch your language.

    It's happened once before, when they put an update on the update server they are supposed to indicate what minimum version of the OS is required to run it, but sometimes someone makes a typo. Give them a little while to fix it, then remove the incorrect version and install the correct one.

    I'll change the title to indicate your actual problem so that the developers might notice it.

  • @siliconvoid Hello, we had an issue on 7th April 2018 that caused users on OSX 10.9.5 to be updated to not compatible version. Perhaps you got update at that time and haven't restarted Opera until now so problem was hidden. Please download last compatible version here: http://get.geo.opera.com/ftp/pub/opera/desktop/49.0.2725.64/mac/Opera_49.0.2725.64_Setup.dmg
    If you will still get updated when using above download we will have to investigate it with you as it wouldn't mean that for some reason your machine wouldn't be correctly detected as OSX 10.9.5.

  • This post is deleted!
  • This post is deleted!
  • Thanks for the info - I found another thread that mentioned turning off autoupdate (flagging it current),
    [in terminal type "defaults write com.operasoftware.Opera OPDisableAutoUpdate true" press Enter], then download and install v49 which allowed me to access my previous install and login info, etc..
    btw - it was supposed to be an 'H' not a 'T' (whatthehell) - typing too fast and too enraged.. 😄